API Documentation
Setup
Overview
API Key
MCP Server
SDK
CLI
GET
View available tools and configurations
Submit Jobs
Job Management
File Management
Finetuning
Custom Tools
Overview
Python SDK Reference
End to End example
GET
List custom tools
GET
Get a custom tool
POST
Create a custom tool
PATCH
Update a custom tool
DELETE
Delete a custom tool
POST
Create a source upload
POST
Build a custom tool
GET
List build logs
POST
Cancel a custom tool build
POST
Run a custom tool
POST
Publish a custom tool version
GET
List custom tool versions
Pipelines
Delete Jobs
DELETE
/api/delete-jobDelete jobs and all associated data from your account using the DELETE API endpoint /delete-job.
Required Parameters:
jobName
(string)
Name of the job to delete. Must be provided in the request body as JSON.
HTTP Response Status Codes
| Status code | Description |
|---|---|
| 200 | Job successfully deleted |
| 400 | Bad request |
| 405 | Method not allowed |
1import requests
2
3api_key = "***************"
4headers = {'x-api-key': api_key}
5base_url = "https://app.tamarind.bio/api/"
6
7params = {
8 "jobName": "myJobName"
9}
10response = requests.delete(base_url + "delete-job", headers=headers, json=params)
11print(response.text)Response Format
myJobName deleted